Skip to main content
GET
Get the public key of an asset

Headers

X-End-User-Wallet-Id
string<uuid>
required

Unique ID of the End-User wallet to the API request. Required for end-user wallet operations.

Path Parameters

walletId
string
required

The ID of the Non-Custodial wallet

Example:

"550e8400-e29b-41d4-a716-446655440000"

accountId
string<numeric>
required

The ID of the account

Example:

"0"

assetId
string
required

The ID of the asset

Example:

"BTC"

change
number
required

BIP44 derivation path - change value

Example:

0

addressIndex
number
required

BIP44 derivation path - index value

Example:

0

Query Parameters

compressed
boolean

Compressed/Uncompressed public key format

Example:

true

Response

Public Key Information

algorithm
enum<string>

Elliptic Curve

Available options:
MPC_ECDSA_SECP256K1,
MPC_EDDSA_ED25519
derivationPath
integer[]

BIP44 derivation path

Example:
publicKey
string

Compressed/Uncompressed public key value in hex representation

Example:

"1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"